Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`amp`.`_ParserHelper``

class documentation

`class _ParserHelper: (source)`

View In Hierarchy

A box receiver which records all boxes received.

Class Method | `parse` | Parse some amp data stored in a file.
Class Method | `parseString` | Parse some amp data stored in a string.
Method | `__init__` | Undocumented
Method | `ampBoxReceived` | Undocumented
Method | `getHost` | Undocumented
Method | `getPeer` | Undocumented
Method | `startReceivingBoxes` | No initialization is required.
Class Variable | `disconnecting` | Undocumented
Instance Variable | `boxes` | Undocumented

@classmethod
def parse(cls, fileObj): (source)

Parse some amp data stored in a file.

Parameters
fileObj | a file-like object.
Returns
a list of AmpBoxes encoded in the given file.

@classmethod
def parseString(cls, data): (source)

Parse some amp data stored in a string.

Parameters
data | a str holding some amp-encoded data.
Returns
a list of AmpBoxes encoded in the given string.

def __init__(self): (source)

Undocumented

def ampBoxReceived(self, box): (source)

Undocumented

def getHost(self): (source)

Undocumented

def getPeer(self): (source)

Undocumented

def startReceivingBoxes(self, sender): (source)

No initialization is required.

disconnecting: `bool` = (source)

Undocumented

boxes: `list` = (source)

Undocumented